Contenuto
Indice 🔎︎

# Parametri di avvio Java

Potete utilizzare questa finestra di dialogo per specificare parametri di avvio facoltativi per il Java Runtime Environment (JRE). Le impostazioni definite in questa finestra di dialogo si applicano a qualsiasi JRE avviato.

Per accedere a questo comando...

Scegliete LibreOffice - Preferenze Strumenti - Opzioni - LibreOffice - Avanzate.

## Parametro di avvio Java

Specificare un parametro di avvio per un JRE, seguendo la stessa procedura dalla riga di comando. Per aggiungere il parametro all'elenco dei parametri di avvio disponibili, fare clic su Assegna.

Non usate caratteri di escape o virgolette nei nomi dei percorsi.

Ad esempio, per indirizzare la proprietà di sistema "myprop" su una cartella, inserite il parametro seguente:

-Dmyprop=c:\programmi\java

Per abilitare il debugging in un JRE, inserite i parametri seguenti:

-Xdebug

-Xrunjdwp:transport=dt_socket,server=y,address=8000

Queste modifiche vengono applicate al riavvio di LibreOffice.

### Parametri di avvio assegnati

Elenca i parametri di avvio JRE assegnati. Per rimuovere un parametro di avvio, selezionare il parametro e fare clic su Rimuovi.

### Aggiungi

Aggiunge il parametro di avvio JRE selezionato all'elenco.

### Modifica

Apre una finestra di dialogo in cui è possibile modificare i parametri di avvio del JRE selezionato.

### Rimuovi

Elimina il parametro di avvio JRE selezionato.